#ifndef LocalVector_H
#define LocalVector_H

#include "LocalTag.h"
#include "Vector2DBase.h"
#include "Vector3DBase.h"

typedef Vector2DBase< float, LocalTag>    Local2DVector;
typedef Vector3DBase< float, LocalTag>    Local3DVector;

// Local Vectors are three-dimensional by default
typedef Local3DVector                     LocalVector;

#endif // LocalVector_H
