#include "TCanvas.h"
#include "TGraph.h"
#include "TRandom.h"
   
void lines(Int_t ntimes=1000) {
   TCanvas *c1 = new TCanvas("c1");
   //c1->SetCanvasSize(1200,1000);
   Int_t nlines = 100;
   TGraph *gr = new TGraph(nlines);
   TRandom r;
   for (Int_t i=0;i<nlines;i++) {
      Double_t x = r.Rndm();
      Double_t y = r.Rndm();
      gr->SetPoint(i,x,y);
   }
   Double_t factor = 0.995;
   Double_t xmax = 1;
   for (Int_t j=0;j<ntimes;j++) {
      if (j%10 == 0) printf("iteration: %d\n",j);
      c1->Clear();
      gr->Draw();
      c1->Update();
      gSystem->ProcessEvents();
      gSystem->Sleep(50);
      if (xmax < 0.2) factor = 1.005;
      if (xmax > 2  ) factor = 0.995;
      xmax *=factor;
      c1->Range(0,0,xmax,xmax);
   }
}
